fail_fast: true
exclude: '^(config/campaigns/|bbbb/|bbww_dl/|bbww_sl/|jet_tagging_sf/|jtsf/|tools/|vh/|wh/|zh/)'

repos:
- repo: https://github.com/pre-commit/pre-commit-hooks
  rev: v4.1.0
  hooks:
  - id: check-added-large-files
    args: ['--maxkb=1000']
  - id: check-case-conflict
  - id: check-merge-conflict
  - id: check-symlinks
  - id: check-yaml
  - id: debug-statements
  - id: end-of-file-fixer
  - id: trailing-whitespace

- repo: https://github.com/psf/black
  rev: 22.1.0
  hooks:
  - id: black
    args: [--line-length=100, --diff, --check]

- repo: https://github.com/PyCQA/isort
  rev: 5.10.1
  hooks:
  - id: isort
